TESTING/LIN/drzt02.f(3)

NAME
TESTING/LIN/drzt02.f

SYNOPSIS

  Functions/Subroutines
double precision function drzt02 (m, n, af, lda, tau, work, lwork)
DRZT02

Function/Subroutine Documentation

  double precision function drzt02 (integer m, integer n, double precision, dimension( lda, * ) af, integer lda, double precision, dimension( * ) tau, double precision, dimension( lwork ) work, integer lwork)

DRZT02

Purpose:

    !>
    !> DRZT02 returns
    !>      || I - Q'*Q || / ( M * eps)
    !> where the matrix Q is defined by the Householder transformations
    !> generated by DTZRZF.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix AF.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix AF.
    !>

    AF

    !>          AF is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The output of DTZRZF.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array AF.
    !>

    TAU

    !>          TAU is DOUBLE PRECISION array, dimension (M)
    !>          Details of the Householder transformations as returned by
    !>          DTZRZF.
    !>

    WORK

    !>          WORK is DOUBLE PRECISION array, dimension (LWORK)
    !>

    LWORK

    !>          LWORK is INTEGER
    !>          length of WORK array. LWORK >= N*N+N*NB.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file drzt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.